package com.ym.mec.biz.dal.vo;

import com.ym.mec.biz.dal.entity.PlatformServeDetail;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @author hgw
 * Created by 2021-12-03
 */
@ApiModel(value = "平台服务信息")
public class PlatformServeInfoVo implements Serializable {

    /**
     * 主键
     */
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 服务名称
     */
    @ApiModelProperty(value="服务名称")
    private String name;

    /**
     * 产品id多个用逗号分割
     */
    private String productId;

    /**
     * 详情
     */
    private List<PlatformServeDetail> detailList;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public List<PlatformServeDetail> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<PlatformServeDetail> detailList) {
        this.detailList = detailList;
    }
}
